This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824951 - (aries-proxy) Review request: aries-proxy - Apache Aries Proxy
Review request: aries-proxy - Apache Aries Proxy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: aries-blueprint
  Show dependency treegraph
 
Reported: 2012-05-24 12:56 EDT by Patryk Obara
Modified: 2013-03-13 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:25:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patryk Obara 2012-05-24 12:56:44 EDT
Spec URL:
http://dreamertan.fedorapeople.org/srpm/aries-proxy/0.3-1.fc17/aries-proxy.spec
SRPM URL:

http://dreamertan.fedorapeople.org/srpm/aries-proxy/0.3-1.fc17/aries-proxy-0.3-1.fc17.src.rpm

Description:
A common proxy class generation service that can be used by
blueprint and jndi and others.

http://aries.apache.org/
Comment 1 Marek Goldmann 2012-05-28 08:55:26 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

SPECS/aries-proxy.spec: W: invalid-url Source0: aries-proxy-0.3.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
aries-proxy.src: W: spelling-error %description -l en_US jndi -> indie
aries-proxy.src: W: invalid-url Source0: aries-proxy-0.3.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
aries-proxy.noarch: W: spelling-error %description -l en_US jndi -> indie
aries-proxy.noarch: W: no-documentation
aries-proxy-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 5e997114d773be0269c0122f962fc09f
MD5SUM upstream package: 2a6456ad42fbf8d924c022eb1468da66

SVN export, OK.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4110107

================
*** APPROVED ***
================
Comment 2 Patryk Obara 2012-05-28 09:42:35 EDT
New Package SCM Request
=======================
Package Name: aries-proxy
Short Description: Apache Aries Proxy
Owners: dreamertan
Branches: f17
InitialCC: goldmann
Comment 3 Gwyn Ciesla 2012-05-29 08:49:18 EDT
Git done (by process-git-requests).
Comment 4 Marek Goldmann 2012-06-04 04:22:47 EDT
Patryk, could you please build the package and submit for Fedora 17?
Comment 5 Fedora Update System 2012-06-04 07:44:52 EDT
aries-proxy-0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/aries-proxy-0.3-1.fc17
Comment 6 Fedora Update System 2012-06-05 19:07:21 EDT
aries-proxy-0.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-06-19 20:25:02 EDT
aries-proxy-0.3-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.